SPI_ROLLBACK(3)

NAME
SPI_rollback - abort the current transaction

SYNOPSIS

void SPI_rollback(void)

DESCRIPTION

SPI_rollback rolls back the current transaction. It is approximately equivalent to running the SQL command ROLLBACK. After the transaction is rolled back, a new transaction is automatically started using default transaction characteristics, so that the caller can continue using SPI facilities.

This function can only be executed if the SPI connection has been set as nonatomic in the call to SPI_connect_ext.